Bulk create Engage campaigns
curl --request POST \
--url https://app.forecastable.com/api/v1/engage/campaigns/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaigns": [
{
"name": "<string>",
"isPublic": true,
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"persona": [
"<string>"
],
"steps": [
{
"name": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"inMail": true,
"sendInvitationBeforeMessage": true,
"duration": 1,
"scheduledAt": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>"
}
],
"nodes": [
{}
],
"edges": [
{}
],
"viewport": {},
"cutoffAt": "2023-11-07T05:31:56Z",
"cutoffTimezone": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/campaigns/bulk"
payload = { "campaigns": [
{
"name": "<string>",
"isPublic": True,
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": ["<string>"],
"accountStatuses": ["<string>"],
"persona": ["<string>"],
"steps": [
{
"name": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"inMail": True,
"sendInvitationBeforeMessage": True,
"duration": 1,
"scheduledAt": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>"
}
],
"nodes": [{}],
"edges": [{}],
"viewport": {},
"cutoffAt": "2023-11-07T05:31:56Z",
"cutoffTimezone": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaigns: [
{
name: '<string>',
isPublic: true,
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountTypes: ['<string>'],
accountStatuses: ['<string>'],
persona: ['<string>'],
steps: [
{
name: '<string>',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject: '<string>',
body: JSON.stringify('<string>'),
inMail: true,
sendInvitationBeforeMessage: true,
duration: 1,
scheduledAt: '2023-11-07T05:31:56Z',
scheduledTimezone: '<string>'
}
],
nodes: [{}],
edges: [{}],
viewport: {},
cutoffAt: '2023-11-07T05:31:56Z',
cutoffTimezone: '<string>',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://app.forecastable.com/api/v1/engage/campaigns/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"index": 1,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isPublic": true,
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"persona": [
"<string>"
],
"nodes": [
{}
],
"edges": [
{}
],
"viewport": {},
"cutoffAt": "2023-11-07T05:31:56Z",
"cutoffTimezone": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"errors": [
{
"index": 1,
"code": "<string>",
"message": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Campaigns
Bulk create Engage campaigns
Create up to 25 campaigns in one request. Returns indexed partial-success results: valid payloads are created, invalid payloads are reported per index.
POST
/
engage
/
campaigns
/
bulk
Bulk create Engage campaigns
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Required array length:
1 - 25 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I